Subject: [PATCH v6 3/4] drivers: of: add initialization code for dma reserved memory

From: [email-masked] (Stephen Warren)
Date: Thu, 22 Aug 2013 14:08:32 -0600

On 08/21/2013 08:38 AM, Marek Szyprowski wrote:
...
>> >> b) Adjust memory.txt not to mention any specific property names, but
>> >> simply mention that other DT nodes can refer to define memory regions by
>> >> phandle, and leave it up to individual bindings to define which property
>> >> they use to reference the memory regions, perhaps with memory.txt
>> >> providing a recommendation of memory-region for the simple case

I think if we just make that change to the binding doc, it'll be fine.
It's obvious how to extend the binding then.